---
title: Get an AuthN Mapping by UUID
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > AuthN Mappings
---

# Get an AuthN Mapping by UUID{% #get-an-authn-mapping-by-uuid %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/authn_mappings/{authn_mapping_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |

### Overview

Get an AuthN Mapping specified by the AuthN Mapping UUID. This endpoint requires the `user_access_read` permission.

### Arguments

#### Path Parameters

| Name                               | Type   | Description                    |
| ---------------------------------- | ------ | ------------------------------ |
| authn_mapping_id [*required*] | string | The UUID of the AuthN Mapping. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
AuthN Mapping response from the API.

| Parent field             | Field                       | Type            | Description                                                                                                                                                                                                                                                                                   |
| ------------------------ | --------------------------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                          | data                        | object          | The AuthN Mapping object returned by API.                                                                                                                                                                                                                                                     |
| data                     | attributes                  | object          | Attributes of AuthN Mapping.                                                                                                                                                                                                                                                                  |
| attributes               | attribute_key               | string          | Key portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                             |
| attributes               | attribute_value             | string          | Value portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                           |
| attributes               | created_at                  | date-time       | Creation time of the AuthN Mapping.                                                                                                                                                                                                                                                           |
| attributes               | modified_at                 | date-time       | Time of last AuthN Mapping modification.                                                                                                                                                                                                                                                      |
| attributes               | saml_assertion_attribute_id | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| data                     | id [*required*]        | string          | ID of the AuthN Mapping.                                                                                                                                                                                                                                                                      |
| data                     | relationships               | object          | All relationships associated with AuthN Mapping.                                                                                                                                                                                                                                              |
| relationships            | role                        | object          | Relationship to role.                                                                                                                                                                                                                                                                         |
| role                     | data                        | object          | Relationship to role object.                                                                                                                                                                                                                                                                  |
| data                     | id                          | string          | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| data                     | type                        | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |
| relationships            | saml_assertion_attribute    | object          | AuthN Mapping relationship to SAML Assertion Attribute.                                                                                                                                                                                                                                       |
| saml_assertion_attribute | data [*required*]      | object          | Data of AuthN Mapping relationship to SAML Assertion Attribute.                                                                                                                                                                                                                               |
| data                     | id [*required*]        | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| data                     | type [*required*]      | enum            | SAML assertion attributes resource type. Allowed enum values: `saml_assertion_attributes`                                                                                                                                                                                                     |
| relationships            | team                        | object          | Relationship to team.                                                                                                                                                                                                                                                                         |
| team                     | data                        | object          | Relationship to Team object.                                                                                                                                                                                                                                                                  |
| data                     | id                          | string          | The unique identifier of the team.                                                                                                                                                                                                                                                            |
| data                     | type                        | enum            | Team type Allowed enum values: `team`                                                                                                                                                                                                                                                         |
| data                     | type [*required*]      | enum            | AuthN Mappings resource type. Allowed enum values: `authn_mappings`                                                                                                                                                                                                                           |
|                          | included                    | [ <oneOf>] | Included data in the AuthN Mapping response.                                                                                                                                                                                                                                                  |
| included                 | Option 1                    | object          | SAML assertion attribute.                                                                                                                                                                                                                                                                     |
| Option 1                 | attributes                  | object          | Key/Value pair of attributes used in SAML assertion attributes.                                                                                                                                                                                                                               |
| attributes               | attribute_key               | string          | Key portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                             |
| attributes               | attribute_value             | string          | Value portion of a key/value pair of the attribute sent from the Identity Provider.                                                                                                                                                                                                           |
| Option 1                 | id [*required*]        | string          | The ID of the SAML assertion attribute.                                                                                                                                                                                                                                                       |
| Option 1                 | type [*required*]      | enum            | SAML assertion attributes resource type. Allowed enum values: `saml_assertion_attributes`                                                                                                                                                                                                     |
| included                 | Option 2                    | object          | Role object returned by the API.                                                                                                                                                                                                                                                              |
| Option 2                 | attributes                  | object          | Attributes of the role.                                                                                                                                                                                                                                                                       |
| attributes               | created_at                  | date-time       | Creation time of the role.                                                                                                                                                                                                                                                                    |
| attributes               | modified_at                 | date-time       | Time of last role modification.                                                                                                                                                                                                                                                               |
| attributes               | name                        | string          | The name of the role. The name is neither unique nor a stable identifier of the role.                                                                                                                                                                                                         |
| attributes               | receives_permissions_from   | [string]        | The managed role from which this role automatically inherits new permissions. Specify one of the following: "Datadog Admin Role", "Datadog Standard Role", or "Datadog Read Only Role". If empty or not specified, the role does not automatically inherit permissions from any managed role. |
| attributes               | user_count                  | int64           | Number of users with that role.                                                                                                                                                                                                                                                               |
| Option 2                 | id                          | string          | The unique identifier of the role.                                                                                                                                                                                                                                                            |
| Option 2                 | relationships               | object          | Relationships of the role object returned by the API.                                                                                                                                                                                                                                         |
| relationships            | permissions                 | object          | Relationship to multiple permissions objects.                                                                                                                                                                                                                                                 |
| permissions              | data                        | [object]        | Relationships to permission objects.                                                                                                                                                                                                                                                          |
| data                     | id                          | string          | ID of the permission.                                                                                                                                                                                                                                                                         |
| data                     | type                        | enum            | Permissions resource type. Allowed enum values: `permissions`                                                                                                                                                                                                                                 |
| Option 2                 | type [*required*]      | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                                                                                                      |
| included                 | Option 3                    | object          | Team.                                                                                                                                                                                                                                                                                         |
| Option 3                 | attributes                  | object          | Team attributes.                                                                                                                                                                                                                                                                              |
| attributes               | avatar                      | string          | Unicode representation of the avatar for the team, limited to a single grapheme                                                                                                                                                                                                               |
| attributes               | banner                      | int64           | Banner selection for the team                                                                                                                                                                                                                                                                 |
| attributes               | handle                      | string          | The team's identifier                                                                                                                                                                                                                                                                         |
| attributes               | link_count                  | int32           | The number of links belonging to the team                                                                                                                                                                                                                                                     |
| attributes               | name                        | string          | The name of the team                                                                                                                                                                                                                                                                          |
| attributes               | summary                     | string          | A brief summary of the team, derived from the `description`                                                                                                                                                                                                                                   |
| attributes               | user_count                  | int32           | The number of users belonging to the team                                                                                                                                                                                                                                                     |
| Option 3                 | id                          | string          | The ID of the Team.                                                                                                                                                                                                                                                                           |
| Option 3                 | type                        | enum            | Team type Allowed enum values: `team`                                                                                                                                                                                                                                                         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "attribute_key": "member-of",
      "attribute_value": "Development",
      "created_at": "2019-09-19T10:00:00.000Z",
      "modified_at": "2019-09-19T10:00:00.000Z",
      "saml_assertion_attribute_id": "0"
    },
    "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
    "relationships": {
      "role": {
        "data": {
          "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
          "type": "roles"
        }
      },
      "saml_assertion_attribute": {
        "data": {
          "id": "0",
          "type": "saml_assertion_attributes"
        }
      },
      "team": {
        "data": {
          "id": "f9bb8444-af7f-11ec-ac2c-da7ad0900001",
          "type": "team"
        }
      }
    },
    "type": "authn_mappings"
  },
  "included": [
    {
      "attributes": {
        "attribute_key": "member-of",
        "attribute_value": "Development"
      },
      "id": "0",
      "type": "saml_assertion_attributes"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export authn_mapping_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/authn_mappings/${authn_mapping_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get an AuthN Mapping by UUID returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.authn_mappings_api import AuthNMappingsApi

# there is a valid "authn_mapping" in the system
AUTHN_MAPPING_DATA_ID = environ["AUTHN_MAPPING_DATA_ID"]

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = AuthNMappingsApi(api_client)
    response = api_instance.get_authn_mapping(
        authn_mapping_id=AUTHN_MAPPING_DATA_ID,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get an AuthN Mapping by UUID returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::AuthNMappingsAPI.new

# there is a valid "authn_mapping" in the system
AUTHN_MAPPING_DATA_ID = ENV["AUTHN_MAPPING_DATA_ID"]
p api_instance.get_authn_mapping(AUTHN_MAPPING_DATA_ID)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get an AuthN Mapping by UUID returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "authn_mapping" in the system
	AuthnMappingDataID := os.Getenv("AUTHN_MAPPING_DATA_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAuthNMappingsApi(apiClient)
	resp, r, err := api.GetAuthNMapping(ctx, AuthnMappingDataID)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AuthNMappingsApi.GetAuthNMapping`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `AuthNMappingsApi.GetAuthNMapping`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get an AuthN Mapping by UUID returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AuthNMappingsApi;
import com.datadog.api.client.v2.model.AuthNMappingResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    AuthNMappingsApi apiInstance = new AuthNMappingsApi(defaultClient);

    // there is a valid "authn_mapping" in the system
    String AUTHN_MAPPING_DATA_ID = System.getenv("AUTHN_MAPPING_DATA_ID");

    try {
      AuthNMappingResponse result = apiInstance.getAuthNMapping(AUTHN_MAPPING_DATA_ID);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling AuthNMappingsApi#getAuthNMapping");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get an AuthN Mapping by UUID returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_authn_mappings::AuthNMappingsAPI;

#[tokio::main]
async fn main() {
    // there is a valid "authn_mapping" in the system
    let authn_mapping_data_id = std::env::var("AUTHN_MAPPING_DATA_ID").unwrap();
    let configuration = datadog::Configuration::new();
    let api = AuthNMappingsAPI::with_config(configuration);
    let resp = api.get_authn_mapping(authn_mapping_data_id.clone()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get an AuthN Mapping by UUID returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.AuthNMappingsApi(configuration);

// there is a valid "authn_mapping" in the system
const AUTHN_MAPPING_DATA_ID = process.env.AUTHN_MAPPING_DATA_ID as string;

const params: v2.AuthNMappingsApiGetAuthNMappingRequest = {
  authnMappingId: AUTHN_MAPPING_DATA_ID,
};

apiInstance
  .getAuthNMapping(params)
  .then((data: v2.AuthNMappingResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
